<?php
$req='CREATE TABLE stsAM_Finalite
 (
   num INTEGER NOT NULL  ,
   libelle VARCHAR(128) NULL  
   , PRIMARY KEY (num) 
 ) 
ENGINE=InnoDB
DEFAULT CHARACTER SET UTF8 COLLATE UTF8_general_ci;

CREATE TABLE stsAM_TypeActiv
 (
   num INTEGER NOT NULL AUTO_INCREMENT ,
   numFin INTEGER NOT NULL  ,
   libelle VARCHAR(128) NULL  
   , PRIMARY KEY (num) 
 ) 
ENGINE=InnoDB
DEFAULT CHARACTER SET UTF8 COLLATE UTF8_general_ci;

CREATE TABLE stsAM_Activite
 (
   num INTEGER NOT NULL AUTO_INCREMENT ,
   numTypeActiv INTEGER NOT NULL  ,   
   libelle VARCHAR(128) NULL  
   , PRIMARY KEY (num) 
 ) 
ENGINE=InnoDB
DEFAULT CHARACTER SET UTF8 COLLATE UTF8_general_ci;

CREATE TABLE stsAM_Competence
 (
   num INTEGER NOT NULL AUTO_INCREMENT ,
   numActiv INTEGER NOT NULL  ,
   libelle VARCHAR(150) NULL  
   , PRIMARY KEY (num) 
 ) 
ENGINE=InnoDB
DEFAULT CHARACTER SET UTF8 COLLATE UTF8_general_ci;

CREATE TABLE stsAM_Personne
 (
   numero INTEGER NOT NULL AUTO_INCREMENT ,
   type CHAR(1) NOT NULL CHECK (type in ("E","P")),
   numeroProf INTEGER NULL  ,
   nom VARCHAR(32) NULL  ,
   prenom VARCHAR(32) NULL  ,
   mel VARCHAR(64) NULL  ,
   motPasse CHAR(32) NULL  ,
   etablissement VARCHAR(64) NULL  ,
   dateEnregistrement DATE NULL,
   codePourEleve CHAR(5) NULL,
   peutDemanderValid CHAR(1) DEFAULT "O",
   nbDemandeValid INTEGER  DEFAULT 0,
   PRIMARY KEY (numero) 
 ) 
ENGINE=InnoDB
DEFAULT CHARACTER SET UTF8 COLLATE UTF8_general_ci;

CREATE TABLE stsAM_Situation
 (
   code INTEGER NOT NULL AUTO_INCREMENT ,
   numeroEtudiant INTEGER NOT NULL  ,
   libelle VARCHAR(256) NULL  ,
   processus VARCHAR(256) NULL  ,
   acteurs VARCHAR(128) NULL  ,
   techno VARCHAR(128) NULL  ,
   dateRealisation DATE NULL  ,
   dateFinRealisation DATE NULL  ,
   dateSaisie DATE NULL,
   actif INTEGER DEFAULT 0   
   , PRIMARY KEY (code) 
 ) 
ENGINE=InnoDB
DEFAULT CHARACTER SET UTF8 COLLATE UTF8_general_ci;

CREATE TABLE  stsAM_Production
 (
   code INTEGER NOT NULL AUTO_INCREMENT ,
   codeSit INTEGER NOT NULL  ,
   libelle VARCHAR(256) NULL,
   document VARCHAR(128) NULL,
   actif INTEGER DEFAULT 0   
   , PRIMARY KEY (code) 
 ) 
ENGINE=InnoDB
DEFAULT CHARACTER SET UTF8 COLLATE UTF8_general_ci;

CREATE TABLE stsAM_Correspond
 (
   codeProd INTEGER NOT NULL  ,
   numCompet INTEGER NOT NULL  ,
   valide VARCHAR(1) NULL  CHECK (valide in ("O","N")),
   commentaire VARCHAR(128) NULL  DEFAULT "--aucun--",
   actif INTEGER DEFAULT 0 
   , PRIMARY KEY (codeProd, numCompet) 
 ) 
ENGINE=InnoDB
DEFAULT CHARACTER SET UTF8 COLLATE UTF8_general_ci;

CREATE TABLE stsAM_CodeProf
 (
   code CHAR(6),
   version INTEGER, 
   PRIMARY KEY (code)
 ) 
ENGINE=InnoDB;

CREATE TABLE stsAM_WPersonne
 (
   numero INTEGER NOT NULL AUTO_INCREMENT ,
   mel VARCHAR(64) NULL  ,
   motPasse CHAR(32) NULL  ,
   nom VARCHAR(32) NULL  ,
   prenom VARCHAR(32) NULL  ,
   etablissement VARCHAR(64) NULL  ,
   dateEnregistrement DATE NULL,
   valide INTEGER DEFAULT 1
   , PRIMARY KEY (numero)
 ) 
ENGINE=InnoDB
DEFAULT CHARACTER SET UTF8 COLLATE UTF8_general_ci;

CREATE  INDEX I_FK_stsAM_Activite_sousstsAM_Finalite
     ON stsAM_Activite (numTypeActiv ASC);

CREATE  INDEX I_FK_etudiant_professeur
     ON stsAM_Personne (numeroProf ASC);

CREATE  INDEX I_FK_stsAM_Competence_stsAM_Activite
     ON stsAM_Competence (numActiv ASC);

CREATE  INDEX I_FK_stsAM_Correspond_stsAM_Production
     ON stsAM_Correspond (codeProd ASC);

CREATE  INDEX I_FK_stsAM_Correspond_stsAM_Competence
     ON stsAM_Correspond (numCompet ASC);

CREATE  INDEX I_FK_stsAM_Situation_etudiant
     ON stsAM_Situation (numeroEtudiant ASC);

CREATE  INDEX I_FK_stsAM_Production_stsAM_Situation
     ON stsAM_Production (codeSit ASC);


ALTER TABLE stsAM_Personne 
  ADD FOREIGN KEY FK_stsAM_Personne_stsAM_Personne (numeroProf)
      REFERENCES stsAM_Personne (numero) ;

ALTER TABLE stsAM_Situation 
  ADD FOREIGN KEY FK_stsAM_Situation_etudiant (numeroEtudiant)
      REFERENCES stsAM_Personne (numero) ;

ALTER TABLE stsAM_Competence 
  ADD FOREIGN KEY FK_stsAM_Competence_stsAM_Activite (numActiv) 
      REFERENCES stsAM_Activite (num) ;

ALTER TABLE stsAM_Production 
  ADD FOREIGN KEY FK_stsAM_Production_stsAM_Situation (codeSit)
      REFERENCES stsAM_Situation (code) ;

ALTER TABLE stsAM_TypeActiv 
  ADD FOREIGN KEY FK_stsAM_TypeActiv_stsAM_Finalite (numFin)
      REFERENCES stsAM_Finalite (num) ;

ALTER TABLE stsAM_Activite 
  ADD FOREIGN KEY FK_stsAM_Activite_stsAM_TypeActiv (numTypeActiv)
      REFERENCES stsAM_TypeActiv (num) ;

ALTER TABLE stsAM_Correspond 
  ADD FOREIGN KEY FK_stsAM_Correspond_stsAM_Production (codeProd)
      REFERENCES stsAM_Production (code) ;

ALTER TABLE stsAM_Correspond 
  ADD FOREIGN KEY FK_stsAM_Correspond_stsAM_Competence (numCompet)
      REFERENCES stsAM_Competence (num) ;
';
?>
